Bug 708535

Summary: Review Request: xenserverjava - Java SDK for XenServer
Product: [Fedora] Fedora Reporter: David Nalley <david>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, ry
Target Milestone: ---Flags: ry: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: xenserverjava-5.6.100.1-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-12 01:23:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Nalley 2011-05-27 17:26:42 EDT
Spec URL: http://ke4qqq.fedorapeople.org/xenserverjava.spec
SRPM URL: http://ke4qqq.fedorapeople.org/xenserverjava-5.6.100.1-1.fc14.src.rpm
Description: XenServer Java SDK for utilizing the XML-RPC interface of XenServer.
Comment 1 Ryan Rix 2011-06-02 14:15:50 EDT
[FIX] MUST: rpmlint must be run on every package
[rrix@stinkpad rpmbuild]$ rpmlint RPMS/noarch/xenserverjava-*
xenserverjava.noarch: W: incoherent-version-in-changelog 5.6.100.1 ['5.6.100.1-1.fc15', '5.6.100.1-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
[rrix@stinkpad rpmbuild]$ rpmlint SPECS/xenserverjava.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[rrix@stinkpad rpmbuild]$ rpmlint SRPMS/xenserverjava-5.6.100.1-1.fc15.src.rpm 
xenserverjava.src: W: strange-permission XenServerJava-5.6.100-1-src.zip 0400L
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[OK] MUST: The package must be named according to the Package Naming 
         Guidelines
[OK] MUST: The spec file name must match the base package %{name}
[OK] MUST: The package must meet the Packaging Guidelines
[OK] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[OK] MUST: The License field in the package spec file must match the 
         actual license
[OK] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.

576bb606973796d75cd6c1286d696172  XenServerJava-5.6.100-1-src.zip
576bb606973796d75cd6c1286d696172  XenServerJava-5.6.100-1-src.zip

[OK] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[NA] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[OK] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[NA] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK] MUST: A package must not contain any duplicate files in the %files 
         listing.
[OK] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[OK] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[NA] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.

Can you take a look at those rpmlint warnings I had? Otherwise this looks like it's good to go. Those can be fixed in the initial SCM import.

APPROVED
Comment 2 David Nalley 2011-06-17 12:07:33 EDT
New Package SCM Request
=======================
Package Name: xenserverjava
Short Description: Java SDK for XenServer
Owners: ke4qqq
Branches: f15, el6
InitialCC:
Comment 3 Jon Ciesla 2011-06-17 12:35:11 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-06-17 18:31:01 EDT
xenserverjava-5.6.100.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xenserverjava-5.6.100.1-1.el6
Comment 5 Fedora Update System 2011-06-17 18:31:08 EDT
xenserverjava-5.6.100.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xenserverjava-5.6.100.1-1.fc15
Comment 6 Fedora Update System 2011-06-21 13:10:38 EDT
xenserverjava-5.6.100.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 7 Fedora Update System 2011-07-12 01:23:08 EDT
xenserverjava-5.6.100.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Fedora Update System 2011-07-12 10:56:53 EDT
xenserverjava-5.6.100.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.